LINUX.ORG.RU

Как поставить KDE 4.7 на Ubuntu 8.04 (Hardy)?


0

1

Подскажите, как провернуть такое дело? И вообще, возможно ли?

Хочу это сделать потому, что у меня на компе видеокарта Intel 845, драйвер для которой уже давно не поддерживается. 8.04 - это наиболее свежая версия, в которой видео завелось без проблем.

Бэкпортов таких не нашел. Попробовал втупую подключить репозиторий от 11.04, но возникают конфликты, и попытки разрешить их приводят к краху системы.


Может тупо собрать?

Другой вариант — попробовать использовать старое ведро в новой бубунте.

vkos ★★ ()
Ответ на: комментарий от vkos

> Может тупо собрать?

Может. Процедура, однако, долгая. Как думаете, соберется на старой системе без существенных трудностей?

Другой вариант — попробовать использовать старое ведро в новой бубунте.

Сомнительно мне, что зависимости позволят. Но попробую, как раз сейчас под свежим релизом.

raa ()

Компильни сырца. Это же очевидно. И да, десктопный Hardy больше не поддерживается, переходи на Lucid уже.

LongLiveUbuntu ★★★★★ ()

Предсказываю куда больше геморроя со сборкой кед, чем настройкой видеодров в система поновее.

Deleted ()
Ответ на: комментарий от LongLiveUbuntu

> И да, десктопный Hardy больше не поддерживается, переходи на Lucid уже.

Говорю же, там моя видюха не поддерживается :) Я с таким успехом и 11.10 могу поставить, а толку...

raa ()
Ответ на: комментарий от raa

Пробовал собирать кеды, но наоборот: старые под новой системой.

Deleted ()
Ответ на: комментарий от raa

Нет, но, как минимум возникнут проблемы с автомонтированием, энергосбережением.

Да и, скорее всего, просто не соберётся по причине завязанности на более высокие версии библиотек.

Это то, что бросилось сразу в глаза.

Shtsh ★★★★ ()
Ответ на: комментарий от sniper21

Возможно. Вообще, я бы купил новый компьютер, и еще купил бы админа, чтобы он мне этот компьютер настраивал, купил бы директора, чтобы не ходить на работу, и т.д... Но... может и куплю немного позже :) Посоветуйте нормальную поддерживаемую PCI-ную видюху.

raa ()
Ответ на: комментарий от raa

>Посоветуйте нормальную поддерживаемую PCI-ную видюху.

эээ

sniper21 ★★★★★ ()
Ответ на: комментарий от raa

Может не «PCI-ную», а всё таки «AGP-шную»?

Т.к. PCI видеокарты были очень давно, годах так в 2000-2004, до этого были вообще ISA карты, а вот начиная с 2002-2003 годов стали появляться AGP карты и продержались года так до 2008, затем появились еже PCI-Express карты, т.к. стало не хватать пропускной способности AGP шины для.

kostik87 ★★★★★ ()
Ответ на: комментарий от vkos

Другой вариант — попробовать использовать старое ведро в новой бубунте.

Попробовал. Старое ядро не грузится. Попробовал разные загрузчики - не влияет. Разве что ошибку стало видно

udevd[860]: error initializing netlink socket

error sending message: Connection refused
udevadm[863]: error sending message: Connection refused

error: unexpectedly disconnected from boot status daemon
Begin: Loading essential drivers ... done.
Begin: Running /scripts/init-premount ... done.
Begin: Mounting root file system ... Begin: Running /scripts/local-top ... done.
libudev: udev_monitor_new_from_netlink: error getting socket: Invalid argument
[  35.060822] wait-for-root[905]: segfault at 00000030 eip b77cb228 esp bfa36cc0 error 4
Segmentation fault
Gave up waiting for root device. Common problems:
- Boot args (cat /proc/cmdline)
  - Check rootdelay= (did the system wait long enough?)
  - Check root= (did the system wait for the right device?)
- Missing modules (cat /proc/modules; ls /dev)
ALERT! /dev/block/8:1 does not exist. Dropping to a shell!

BusyBox v1.17.1 (Ubuntu 1:1.16.1-10ubuntu1) built-in shell (ash)
Enter 'help' for a list of built-in commands.

(Initramfs) _

И на этом приехали, потому что моя usb-клава не работает :) Хотя валяется где-то старая, но вот что с этими матюками делать, я не совсем понимаю.

raa ()
Ответ на: комментарий от Gorthauer

Боюсь такое уже нигде нормально не провернуть. Разве что взять сырцы драйверов видюхи и сконпелять их в целевой системе.

LongLiveUbuntu ★★★★★ ()
Ответ на: комментарий от kostik87

Может не «PCI-ную», а всё таки «AGP-шную»?

Этот комп как раз тех годов, когда еще встречались PCI видеокарты :) А у меня она вообще так встроенная. На всякий случай посмотрел - да, только PCI порты, никаких AGP и тем более PCI-Express.

raa ()
Ответ на: комментарий от LongLiveUbuntu

Разве что взять сырцы драйверов видюхи и сконпелять их в целевой системе.

Делал так раньше, не помню уже на каких версиях. Но сейчас это уже не поможет, потому что этот драйвер не дружит с новым ядром.

raa ()
Ответ на: комментарий от Ubuntu1204LTS

А что-то вроде паппи не пробовал ставить?

А думаете стоит? Я как-то привык к Debian/Ubuntu, и не хочется разбираться с другой системой ради этого. И еще всякие легкие DE меня не впечатляют, т.к. по сути в них нет никакого функционала. Сейчас запустил LXDE, но это какой-то кастрат а не DE. Ну и в конце концов это не решает проблемы с видеокартой. Она все-таки хоть и старая, но что-то умеет. Но вместо нее работает процессор. DE тут слабо решает основную проблему тормозов.

raa ()
Ответ на: комментарий от raa

Берёте 8-9 тыс рублей в одну руку и бегом в магазин, покупаете NETBOX на atom, тихо мало места занимает, не греется, ставите что душе угодно.

Ещё раз повторяю не Net Book, а Net BOX.

Хотя можете взять и не дорого обычный ПК собрать.

kostik87 ★★★★★ ()
Ответ на: комментарий от raa

udevd[860]: error initializing netlink socket

это udev. ядро уже загрузилось. просто новые верссии udev хотят новых ядер.

Возможно ваша идея/хотенье реализуется на gentoo, как и сказал gorthauer

ZuBB ★★★★★ ()
Ответ на: комментарий от BambarbiyaKirgudu

Любопытства ради...а для чего вы храните такой древний комп? на нем поди даже пасьянсик не раскинуть.

Вы наверное удивитесь, но на нем отлично можно раскидывать пасьянс, и даже KDE4 в целом без эффектов вполне сносно работает (несмотря на то что драйвер vesa), и для инета, видео и музыки его в общем-то хватает в полней (HDTV все равно не на чем смотреть :) ). Это не единственный комп в семье, но он пока работает и служит, и я не хочу его выбрасывать. Да и для подрастающего поколения не жалко отдать на поиграться. Существенная проблема в этом компе сейчас лишь в видеодрайвере.

raa ()

Есть ещё вариант-написать баг в ланчпаде-что сия видиокарта неподдерживаеться в 10.04 Есть вероятность что местные подскажут хорошую идею.

Ubuntu1204LTS ()
Ответ на: комментарий от LongLiveUbuntu

Убрать мешающие зависимости нельзя?

Ну а зачем компилить, если можно просто запустить старое ядро? Но вот попробовал только-что - не запускается :(

Я не помню, под какое ядро я компилировал. Внятной инфы по этому поводу не могу найти. И вернуть ту комбинашку будет довольно напряжно.

raa ()
Ответ на: комментарий от Ubuntu1204LTS

Есть ещё вариант-написать баг в ланчпаде-что сия видиокарта неподдерживаеться в 10.04 Есть вероятность что местные подскажут хорошую идею.

Там об этом уже столько написали!... Я ничего нового там не сообщу ))

raa ()
Ответ на: комментарий от Ubuntu1204LTS

Есть паппи базирующейся на дебияене.Оно очень хорошо для старого железА,я его юзал с инвидей с 8 метрами памяти.

Что-то не пойму что это за паппи такой и где его искать.

Puppy использует свежее ядро, а значит, он не решит проблему с видеокартой.

raa ()
Ответ на: комментарий от raa

Ну даже не знаю, но в ядре поддержка вашей карты имеется, драйвер для xorg так же имеет поддержку, да и в mesa всё есть, всё должно быстро «крутиться».

┌──────────────────────────────────────────────────────── Intel 830M, 845G, 852GM, 855GM, 865G ───────────────────────┐
│ There is no help available for this option.                                                                         │  
│ Prompt: Intel 830M, 845G, 852GM, 855GM, 865G                                                                        │  
│   Defined at drivers/gpu/drm/Kconfig:84                                                                             │  
│   Depends on: HAS_IOMEM [=y] && DRM [=m] && AGP [=y] && AGP_INTEL [=y]                                              │  
│   Location:                                                                                                         │  
│     -> Device Drivers                                                                                               │  
│       -> Graphics support                                                                                           │  
│         -> Direct Rendering Manager (XFree86 4.1.0 and higher DRI support) (DRM [=m])                               │  

IntelGraphicsDriver Xorg Features

Как видно поддержка DRI2 для карт i830-i865G есть, значит будет работать ускорение с mesa, libdrm и модулем ядра.

kostik87 ★★★★★ ()
Ответ на: комментарий от kostik87

Это в ядре 2.6.38.5, но думаю и в более новых ядрах тоже есть поддержка вашей карты.

kostik87 ★★★★★ ()
Ответ на: комментарий от kostik87

Ну даже не знаю, но в ядре поддержка вашей карты имеется, драйвер для xorg так же имеет поддержку, да и в mesa всё есть, всё должно быстро «крутиться».

Поддержка есть, но начиная с Ubuntu 8.10 иксы виснут и вылетают. В течение нескольких релизов эту проблему пытались исправить. Она якобы связана с переходом на новое ядро и с попыткой использовать новый метод вывода (или что-то в этом духе). И в итоге мэинтейрены сказали «мы сделали все что могли» и просто добавили в черный список серию интелловских видеокарт: 815, 845, 855 и может еще какие-то. Для 855 какой-то добрый человек написал патч, якобы решающий проблему. Но для моей видеокарты он все равно не подходит.

raa ()
Ответ на: комментарий от ZuBB

это udev. ядро уже загрузилось. просто новые верссии udev хотят новых ядер.

Спасибо. Попробовал сделать ему даунгрейд, но походу от него зависит все что только может.

Возможно ваша идея/хотенье реализуется на gentoo, как и сказал gorthauer

Попробую, наверное. Сидел когда-то на фре... :)

raa ()

Когда-то я скомпилировал в юзерспейс KDE 4.0 beta полностью, проблем особенно не было. Руководствовался журналом LXF за январь 2007 года. Все последующие версии тоже ставятся без проблем, только часто может попросить новую библиотеку и придётся прерваться, чтобы установить её.

В твоём случае надо взять deb-src из более новых дистрибутивов, либо из новейшего PPA, и скомпилировать их. Точно так же обновляя системные библиотеки всё из тех же deb-src из более новых дистрибутивов.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от raa

Вообще, не слишком понимаю, зачем нужны четвертые кеды на такой видеокарте. У меня GMA 3100, который и так в разы мощнее, еле-еле вытягивает анимацию, и притом на Xrandr, или как его.

В твоем случае идеальным выбором был бы Debian Squeeze + Xfce + xfwm4 (или гном, но имхо он даже там не слишком стабилен), поскольку в отличии от 8.04, он поддерживается обновлениями безопасности/багфиксами, и от софта еще не несет трупом.

ArtKun ★★★★★ ()

С чего вы взяли, что она не поддерживается?

Пробовали?

На дебиан сквиз подобная карта вполне себе работает на старом ноутубуке.

Может вы что-то путаете?

А настраивать пробовали? А Икс-сервер?

И в убунту, все-таки, из всех настольных и нормальных диструбутивов, проблем обычно больше всего.

anonymous ()
Ответ на: комментарий от anonymous

С чего вы взяли, что она не поддерживается?

Я неправильно сказал. Точнее будет сказать «поддерживается не полностью». Ну, я описал проблему выше. Почитайте все сообщения.

Пробовали?

Да, пробовал. Прямо сейчас стоит. 3D акселерация не работает.

На дебиан сквиз подобная карта вполне себе работает на старом ноутубуке.

И у меня она работает. Но нет хардварного ускорения.

А настраивать пробовали? А Икс-сервер?

Пробовал. При попытке завести акселерацию иксы вылетают, вешаются и т.д.

И в убунту, все-таки, из всех настольных и нормальных диструбутивов, проблем обычно больше всего.

Это не проблема Ubuntu, это проблема видеодрайвера. Очень известная. Можете погуглить на тему intel 845 x freezes.

raa ()
Ответ на: комментарий от ArtKun

Вообще, не слишком понимаю, зачем нужны четвертые кеды на такой видеокарте.

Ну, я ими пользуюсь не потому что они красивые :)

У меня GMA 3100, который и так в разы мощнее, еле-еле вытягивает анимацию, и притом на Xrandr, или как его.

А OpenGL не пробовали?

raa ()
Ответ на: комментарий от ArtKun

У меня с Xrender комп в побщем-то справляется, хоть и скрипя. Я бы даже сказал, что те тормоза, которые появляются, вполне компенсируются отсутствием лагов при рендеринге, как это происходит с отключенными эффектами. И мне кажется, если бы удалось включить акселерацию, то все было бы хорошо. По крайней мере, раньше Compiz работал намного шустрее. И в контру я на этой тачке гонял. А сейчас сплошные тормоза. А при включении OpenGL вообще все умирает.

raa ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.